SAP Knowledge Base Article - Preview

2364644 - JMS adapter using IBM MQ fails after upgrade - Data Services

Symptom

  • Using an old version of IBM MQ
  • Upgraded and now JMS adapter no longer works
  • Advanced Message Security (AMS) is not enabled on MQ message queue
  • ERROR: JMS GET operation error: Error in JMS initialization. com.ibm.msg.client.jms.DetailedJMSSecurityException: JMSWMQ2008: Failed to open MQ queue 'S21IB.BOXI.SENDBILLINGADDRESS.ERROR'. JMS attempted to perform an MQOPEN, but WebSphere MQ reported an error.
  • ERROR: JMSCMQ0001: WebSphere MQ call failed with compcode '2' ('MQCC_FAILED') reason '2063' ('MQRC_SECURITY_ERROR'). at com.ibm.msg.client.wmq.common.internal.Reason.createException(Reason.java:209)
  • ERROR: The IBM WebSphere MQ Advanced Message Security Java interceptor failed to obtain the security policy. Reason Code: '2035'. The IBM WebSphere MQ Advanced Message Security Java interceptor was not able to obtain the security policy

 


Read more...

Environment

  • SAP Data Services 4.2 SP4 and later
  • IBM MQ 7.0.1.13

Product

SAP Data Services 4.2

Keywords

BODS, MQ , KBA , EIM-DS-EXE , Data Services Job Execution , EIM-DS , Data Services (Use Subcomponent) , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.